Skip to content

Get export job status

GET
/exports/{exportId}
curl --request GET \
--url https://app.surveyrock.com/api/v1/exports/example \
--header 'Authorization: Bearer <token>'

Returns the current status of an export job. When status is ‘ready’, includes row_count. When expired (>7 days), returns status ‘expired’.

exportId
required
string

Export job ID

Export status

Media typeapplication/json
object
success
boolean
data
object
export_id
string
status
string
Allowed values: queued processing ready failed expired
row_count

Only present when status is ‘ready’

integer
nullable
meta

Standard response metadata

object
timestamp

Response timestamp in ISO 8601 format

string format: date-time
version

API version

string
requestId

Unique request identifier

string
Example
{
"success": true,
"data": {
"status": "queued"
},
"meta": {
"version": "3.0"
}
}

Export not found

Media typeapplication/json

Standard error response format

object
success
boolean
error
object
code

Stable, snake_case domain code – see ApiErrorHandler::EXCEPTION_MAP and DomainException

string
message

Human-readable error message

string
suggestion

Imperative recovery hint for this domain code – see ApiErrorHandler::DOMAIN_CODE_SUGGESTIONS

string
retryable

Whether retrying the identical request might succeed without any change on the caller’s end

boolean
details

Additional, code-specific error details

object
meta

Standard response metadata

object
timestamp

Response timestamp in ISO 8601 format

string format: date-time
version

API version

string
requestId

Unique request identifier

string
Example
{
"success": false,
"error": {
"code": "survey_not_found"
},
"meta": {
"version": "3.0"
}
}